// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.conf);
importPackage(Packages.com.silverwrist.venice.ui.helpers);

// get the request object and the community
rinput = bsf.lookupBean("request");
comm = rinput.getCommunity(true,"top.js.vs");

// get the current conference
currc = new CurrentConference(rinput);
conf = currc.getConference(true,"conf/conferences.js.vs?cc=" + comm.communityID);

// get the current topic
topic = currc.getTopic(true,"conf/topics.js.vs?cc=" + comm.communityID + "&conf=" + conf.confID);

// get the message under consideration
msg = currc.getTopicMessageParam("msg",true,"conf/posts.js.vs?cc=" + comm.communityID + "&conf="
                                           + conf.confID + "&top=" + topic.topicNumber);
on_error = "conf/posts.js.vs?cc=" + comm.communityID + "&conf=" + conf.confID + "&top=" + topic.topicNumber
         + "&p1=" + msg.getPostNumber() + "&shac=1";

CONFIRM_attr = "conferences.message.nuke.ConfirmBox";
CONFIRM_param = "confirm";

rc = null;
try
{ // do the nuke here...
  if (ConfirmBox.isConfirmed(rinput,CONFIRM_attr,CONFIRM_param))
  { // it is confirmed - we want to nuke the message!
    msg.nuke();

    // bounce back to the topic display afterwards
    rc = new Redirect("conf/posts.js.vs?cc=" + comm.communityID + "&conf=" + conf.confID + "&top="
                      + topic.topicNumber,LinkTypes.SERVLET);

  } // end if
  else
  { // come up with the confirm box (this may throw exceptions too)
    aliases = conf.aliases;
    rc = new ConfirmBox(rinput,CONFIRM_attr,CONFIRM_param,"Nuke Message",
                        "You are about to nuke message <" + aliases.get(0).toString() + "." + topic.topicNumber
                        + "." + msg.postNumber + ">, originally composed by <" + msg.creatorName
                        + ">! Are you sure you want to do this?",
                        "conf/nuke_message.js.vs?cc=" + comm.communityID + "&conf=" + conf.confID + "&top="
                        + topic.topicNumber + "&msg=" + msg.postNumber,LinkTypes.SERVLET,on_error,
                        LinkTypes.SERVLET);

  } // end else

} // end try
catch (e)
{ // error deleting
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error","Database error nuking message: " + e.message,on_error);
  else if (etype.match("AccessError"))
    rc = new ErrorBox("Access Error",e.message,on_error);
  else
    rc = e;

} // end catch

vlib.output(rc);  // all done...
